#!/bin/sh 
#
# Name: am_sgalertd.sh
# Author: Steven Grell, Jesse Throwe
# Description: This script checks the state of sgalertd, the
#  overflow daemon, and restarts it if needed.
# Copyright 2001 Sun Microsystems, Inc. All rights reserved.
# $Id: am_sgalertd.sh,v 1.1 2002/05/06 23:00:45 ge Exp $

. /usr/sausalito/swatch/statecodes

msg=""

# we may change these later
FINAL_RET=$AM_STATE_GREEN
msg="[[base-overflow.amStatusGreen]]"


ps --no-heading -C sgalertd > /dev/null 2>&1

if [ $? -ne 0 ]; then
	/etc/rc.d/init.d/sgalertd restart > /dev/null 2>&1
	ps --no-heading -C sgalertd > /dev/null 2>&1
	if [ $? -ne 0 ]; then
	msg="[[base-overflow.amStatusRed]]"
	FINAL_RET=$AM_STATE_RED
	fi
fi
		
echo -ne "$msg"

exit $FINAL_RET

exit $?

